=== modified file 'notify.py'
--- notify.py	2011-09-03 01:25:04 +0000
+++ notify.py	2012-02-03 18:59:38 +0000
@@ -30,6 +30,8 @@
 
 class NotifyPopupMenu(Gtk.Menu):
 
+    SHOW_WIDGETS = True
+
     def __init__(self):
         super(NotifyPopupMenu, self).__init__()
         self.create_items()
@@ -46,7 +48,7 @@
         except ImportError:
             item.set_sensitive(False)
         except errors.BzrError:
-            # FIXME: Should only catch errors that indicate a lan-notify 
+            # FIXME: Should only catch errors that indicate a lan-notify
             # process is already running.
             item.set_sensitive(False)
 
@@ -62,20 +64,21 @@
         except ImportError:
             item.set_sensitive(False)
 
-        item = Gtk.ImageMenuItem(Gtk.STOCK_PREFERENCES, None)
+        item = Gtk.ImageMenuItem.new_from_stock(Gtk.STOCK_PREFERENCES, None)
         item.connect('activate', self.show_preferences)
         self.append(item)
-        item = Gtk.ImageMenuItem(Gtk.STOCK_ABOUT, None)
+        item = Gtk.ImageMenuItem.new_from_stock(Gtk.STOCK_ABOUT, None)
         item.connect('activate', self.show_about)
         self.append(item)
         self.append(Gtk.SeparatorMenuItem())
-        item = Gtk.ImageMenuItem(Gtk.STOCK_QUIT, None)
+        item = Gtk.ImageMenuItem.new_from_stock(Gtk.STOCK_QUIT, None)
         item.connect('activate', Gtk.main_quit)
         self.append(item)
-        self.show_all()
+        if self.SHOW_WIDGETS:
+            self.show_all()
 
     def display(self, icon, event_button, event_time):
-        self.popup(None, None, Gtk.status_icon_position_menu, 
+        self.popup(None, None, Gtk.status_icon_position_menu,
                event_button, event_time, icon)
 
     def toggle_lan_gateway(self, item):
@@ -99,4 +102,3 @@
         from bzrlib.plugins.gtk.preferences import PreferencesWindow
         prefs = PreferencesWindow()
         prefs.run()
-

=== modified file 'tests/__init__.py'
--- tests/__init__.py	2012-01-23 16:52:40 +0000
+++ tests/__init__.py	2012-02-03 18:59:38 +0000
@@ -24,6 +24,7 @@
         'test_history',
         'test_graphcell',
         'test_linegraph',
+        'test_notify',
         'test_revisionview',
         'test_treemodel',
         ]

=== added file 'tests/test_notify.py'
--- tests/test_notify.py	1970-01-01 00:00:00 +0000
+++ tests/test_notify.py	2012-02-03 18:59:38 +0000
@@ -0,0 +1,41 @@
+# -*- coding: utf-8 -*-
+# Copyright (C) 2012 Curtis C. Hovey <sinzui.is@verizon.net>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+from gi.repository import Gtk
+
+from bzrlib import tests
+from bzrlib.plugins.gtk.notify import NotifyPopupMenu
+
+
+class FakeNotifyPopupMenu(NotifyPopupMenu):
+
+    SHOW_WIDGETS = False
+
+
+# ['_Gateway to LAN', '', 'Announce _branches on LAN', '', 'gtk-preferences', 'gtk-about', '', 'gtk-quit']
+
+class NotifyPopupMenuTestCase(tests.TestCase):
+
+    def test_init(self):
+        menu = FakeNotifyPopupMenu()
+        items = menu.get_children()
+        self.assertEqual(8, len(items))
+        self.assertEqual('_Gateway to LAN', items[0].props.label)
+        self.assertEqual('Announce _branches on LAN', items[2].props.label)
+        self.assertEqual('gtk-preferences', items[4].props.label)
+        self.assertEqual('gtk-about', items[5].props.label)
+        self.assertEqual('gtk-quit', items[7].props.label)

